## html5-parser 0.4.9

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = html5-quickstart
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## html5-parser 0.4.3

=== debian/changelog ===
html5-parser (0.4.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Jan 2018 14:28:11 -0800

html5-parser (0.4.3-1) unstable; urgency=medium

  * First release (Closes: #870077)
    thanks to Steve Langasek for python3 support

 -- Norbert Preining <preining@debian.org>  Sun, 13 Aug 2017 08:54:37 +0900

=== debian/control ===
Source: html5-parser
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all-dev,
               python3-all-dev,
               python-setuptools,
               python3-setuptools,
               libxml2-dev,
               python3-lxml,
               python-pkgconfig,
               python3-pkgconfig
Standards-Version: 4.0.0
X-Python-Version: >= 2.6
Homepage: https://github.com/kovidgoyal/html5-parser
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/html5-parser.git
Vcs-Git: git://anonscm.debian.org/collab-maint/html5-parser.git

Package: python-html5-parser
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: fast, standards compliant, C based, HTML 5 parser for python
 A fast implementation of the HTML 5 parsing spec for Python. Parsing is
 done in C using a variant of the gumbo parser. The gumbo parse tree is
 then transformed into an lxml tree, also in C, yielding parse times that
 can be a thirtieth of the html5lib parse times. That is a speedup of 30x.
 This differs, for instance, from the gumbo python bindings, where the
 initial parsing is done in C but the transformation into the final
 tree is done in python.

Package: python3-html5-parser
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: fast, standards compliant, C based, HTML 5 parser for python
 A fast implementation of the HTML 5 parsing spec for Python. Parsing is
 done in C using a variant of the gumbo parser. The gumbo parse tree is
 then transformed into an lxml tree, also in C, yielding parse times that
 can be a thirtieth of the html5lib parse times. That is a speedup of 30x.
 This differs, for instance, from the gumbo python bindings, where the
 initial parsing is done in C but the transformation into the final
 tree is done in python.

## html5-parser 0.4.4

=== debian/changelog ===
html5-parser (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Mon, 26 Feb 2018 13:27:45 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: html5-parser
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Norbert Preining <preining@debian.org>
+Maintainer: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                python-all-dev,
@@ -14,7 +12,7 @@
                python3-lxml,
                python-pkgconfig,
                python3-pkgconfig
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 Homepage: https://github.com/kovidgoyal/html5-parser
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/html5-parser.git

## html5-parser 0.4.5

=== debian/changelog ===
html5-parser (0.4.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 23 Dec 2018 19:06:20 -0700

html5-parser (0.4.5-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version 0.4.5

  [ Nicholas D Steeves ]
  * Switch Vcs from alioth to salsa.
  * Add versioning (>= 3.8.0) to python3-lxml Build-Depends.  When
    backporting 0.4.4-1 this dependency was discovered; see setup.py and
    docs/index.rst.  Thanks to Chris Lamb in Bug #889854 for recommending
    that this versioned dependency be made explicit. (Closes: #902629)
  * Drop X-Python-Version: >= 2.6, because it is no longer needed.
    Python-2.7.9 has been the default Python since old-stable (jessie).

 -- Norbert Preining <preining@debian.org>  Tue, 04 Dec 2018 09:11:39 +0900

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
                python-setuptools,
                python3-setuptools,
                libxml2-dev,
-               python3-lxml,
+               python3-lxml (>= 3.8.0),
                python-pkgconfig,
                python3-pkgconfig
 Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
 Homepage: https://github.com/kovidgoyal/html5-parser
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/html5-parser.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/html5-parser.git
+Vcs-Browser: https://salsa.debian.org/debian/html5-parser
+Vcs-Git: https://salsa.debian.org/debian/html5-parser.git
 
 Package: python-html5-parser
 Architecture: any

## html5-parser 0.4.8

=== debian/changelog ===
html5-parser (0.4.8-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Add watch file.

  [ Norbert Preining ]
  * update my email and vcs fields
  * New upstream version 0.4.8 (Closes: #934583)

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Aug 2019 23:20:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: html5-parser
 Section: python
 Priority: optional
-Maintainer: Norbert Preining <preining@debian.org>
+Maintainer: Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 10),
                dh-python,
                python-all-dev,
@@ -14,8 +14,8 @@
                python3-pkgconfig
 Standards-Version: 4.1.3
 Homepage: https://github.com/kovidgoyal/html5-parser
-Vcs-Browser: https://salsa.debian.org/debian/html5-parser
-Vcs-Git: https://salsa.debian.org/debian/html5-parser.git
+Vcs-Browser: https://github.com/norbusan/html5-parser-debian
+Vcs-Git: https://github.com/norbusan/html5-parser-debian.git
 
 Package: python-html5-parser
 Architecture: any

## html5-parser 0.4.9

=== debian/changelog ===
html5-parser (0.4.9-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:58 +0100

html5-parser (0.4.9-3) unstable; urgency=medium

  * Drop python2 support (Closes: #936710)

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Jan 2020 11:34:04 +0900

html5-parser (0.4.9-2) unstable; urgency=medium

  * switch from python-pkgconfig to pkg-config for B-D (Closes: #936710)

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Dec 2019 12:09:38 +0900

html5-parser (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Nov 2019 23:10:34 +0900

=== debian/control ===
Source: html5-parser
Section: python
Priority: optional
Maintainer: Norbert Preining <norbert@preining.info>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               libxml2-dev,
               python3-lxml (>= 3.8.0),
               pkg-config
Standards-Version: 4.1.3
Homepage: https://github.com/kovidgoyal/html5-parser
Vcs-Browser: https://github.com/norbusan/html5-parser-debian
Vcs-Git: https://github.com/norbusan/html5-parser-debian.git

Package: python3-html5-parser
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: fast, standards compliant, C based, HTML 5 parser for python
 A fast implementation of the HTML 5 parsing spec for Python. Parsing is
 done in C using a variant of the gumbo parser. The gumbo parse tree is
 then transformed into an lxml tree, also in C, yielding parse times that
 can be a thirtieth of the html5lib parse times. That is a speedup of 30x.
 This differs, for instance, from the gumbo python bindings, where the
 initial parsing is done in C but the transformation into the final
 tree is done in python.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/html5-parser-$1\.tar\.gz/ \
  https://github.com/kovidgoyal/html5-parser/tags .*/v?(\d\S+)\.tar\.gz

## html5-parser 0.4.10

=== debian/changelog ===
html5-parser (0.4.10-8) unstable; urgency=medium

  * Upgrade Debian standards

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 18 Dec 2022 22:10:44 +0900

html5-parser (0.4.10-7) unstable; urgency=medium

  * Rediff patches
  * Renumber patches
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 16 Nov 2022 21:40:55 +0900

html5-parser (0.4.10-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 11 Oct 2022 19:47:04 +0900

html5-parser (0.4.10-5) unstable; urgency=medium

  * Add python3-bs4 for test code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 May 2022 16:03:51 +0900

html5-parser (0.4.10-4) unstable; urgency=medium

  * Update test code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 May 2022 12:47:25 +0900

html5-parser (0.4.10-3) unstable; urgency=medium

  * Upgrade Debian standards
  * Use test code
  * Update ignore list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 May 2022 12:03:58 +0900

html5-parser (0.4.10-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * gbp.conf: Update config to use pristine-tar for all gbp operations where
    pristine-tar should be used.
  * Fulfill Norbert Preining's request to be dropped from Uploaders.

  [ YOKOTA Hiroshi ]
  * Add hardening and reproducible option
  * Add documents
  * Add generated file hack

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 05 May 2022 09:58:04 +0900

html5-parser (0.4.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Norbert Preining ]
  * Update VCS fields.
  * Add Yokota Hiroshi to uploaders, use tracker as maintainer.

  [ YOKOTA Hiroshi ]
  * Update watch file from pypi.debian.org
  * Add upstream signing key
  * Use pristine-tar by default
  * New upstream version 0.4.10
  * Update debhelper
  * Add ignore list
  * Upgrade Debian standards
  * Use unused value
  * Remove nonexistent files from manifest
  * No needs root

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 09 Oct 2021 10:51:38 +0900

=== debian/control ===
Source: html5-parser
Section: python
Priority: optional
Maintainer: Html5-Parser maintainer team <team+html5-parser@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-bs4,
               python3-setuptools,
               libxml2-dev,
               python3-lxml,
               pkg-config
Standards-Version: 4.6.2
Homepage: https://github.com/kovidgoyal/html5-parser
Vcs-Browser: https://github.com/debian-calibre/html5-parser
Vcs-Git: https://github.com/debian-calibre/html5-parser.git
Rules-Requires-Root: no

Package: python3-html5-parser
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: fast, standards compliant, C based, HTML 5 parser for python
 A fast implementation of the HTML 5 parsing spec for Python. Parsing is
 done in C using a variant of the gumbo parser. The gumbo parse tree is
 then transformed into an lxml tree, also in C, yielding parse times that
 can be a thirtieth of the html5lib parse times. That is a speedup of 30x.
 This differs, for instance, from the gumbo python bindings, where the
 initial parsing is done in C but the transformation into the final
 tree is done in python.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
export PYBUILD_NAME = html5-parser

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system custom --test-args "cd {build_dir} && {interpreter} {dir}/run_tests.py"

## html5-parser 0.4.11

=== debian/changelog ===
html5-parser (0.4.11-1) unstable; urgency=medium

  * Remove unused keyword
  * New upstream version 0.4.11
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 18 Apr 2023 02:59:05 +0900

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Package: python3-html5-parser
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Provides: ${python3:Provides}
 Description: fast, standards compliant, C based, HTML 5 parser for python
  A fast implementation of the HTML 5 parsing spec for Python. Parsing is
  done in C using a variant of the gumbo parser. The gumbo parse tree is

## html5-parser 0.4.12%2Bds

=== debian/control ===
Source: html5-parser
Section: python
Maintainer: Html5-Parser maintainer team <team+html5-parser@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-bs4,
               python3-chardet,
               python3-setuptools,
               libxml2-dev,
               python3-lxml,
               pkgconf
Standards-Version: 4.7.3
Homepage: https://github.com/kovidgoyal/html5-parser
Vcs-Browser: https://github.com/debian-calibre/html5-parser
Vcs-Git: https://github.com/debian-calibre/html5-parser.git

Package: python3-html5-parser
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: fast, standards compliant, C based, HTML 5 parser for Python
 A fast implementation of the HTML 5 parsing spec for Python. Parsing is
 done in C using a variant of the gumbo parser. The gumbo parse tree is
 then transformed into an lxml tree, also in C, yielding parse times that
 can be a thirtieth of the html5lib parse times. That is a speedup of 30x.
 This differs, for instance, from the gumbo Python bindings, where the
 initial parsing is done in C but the transformation into the final
 tree is done in Python.

## html5-parser 0.4.12+ds

=== debian/changelog ===
html5-parser (0.4.12+ds-5) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 29 Sep 2025 22:32:14 +0900

html5-parser (0.4.12+ds-4) unstable; urgency=medium

  * Use V5 format for watch file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 13:50:03 +0900

html5-parser (0.4.12+ds-3) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 02 Mar 2025 10:23:57 +0900

html5-parser (0.4.12+ds-2) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1
  * Replace obsolete Build-Depends: pkg-config => pkgconf
  * Add GPL-3 text to debian/copyright
  * Lintian fix: capitalization-error-in-description-synopsis
  * Lintian fix: capitalization-error-in-description
  * Lintian fix: extra-license-file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 12:22:44 +0900

html5-parser (0.4.12+ds-1) unstable; urgency=medium

  * PyPI no longer provides PGP signature
  * Remove generated files from upstream source code
  * Cosmetic fix
  * Add python3-chardet to Build-Depends
  * New upstream version 0.4.12+ds

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 25 Nov 2023 11:59:33 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: html5-parser
 Section: python
+Priority: optional
 Maintainer: Html5-Parser maintainer team <team+html5-parser@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -11,10 +12,11 @@
                libxml2-dev,
                python3-lxml,
                pkgconf
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://github.com/kovidgoyal/html5-parser
 Vcs-Browser: https://github.com/debian-calibre/html5-parser
 Vcs-Git: https://github.com/debian-calibre/html5-parser.git
+Rules-Requires-Root: no
 
 Package: python3-html5-parser
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/html5-parser/
Matching-Pattern: html5-parser-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversion-Mangle: s/(rc|a|b|c)/~$1/
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/
